//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TemplateStatusCodeLifeCycle.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TemplateStatusCodeLifeCycle"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="draft"/&gt;
 *     &lt;enumeration value="active"/&gt;
 *     &lt;enumeration value="retired"/&gt;
 *     &lt;enumeration value="rejected"/&gt;
 *     &lt;enumeration value="cancelled"/&gt;
 *     &lt;enumeration value="pending"/&gt;
 *     &lt;enumeration value="review"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TemplateStatusCodeLifeCycle")
@XmlEnum
public enum TemplateStatusCodeLifeCycle {


    /**
     * Template under development (nascent). Metadata and template may be incomplete. Entered primarily to encourage other users to be aware of ongoing
     *                         process.
     * 
     */
    @XmlEnumValue("draft")
    DRAFT("draft"),

    /**
     * Template has been published by the governance group (custodian organization) and deemed fit for use. May have associated adoption and annotation metadata.
     * 
     */
    @XmlEnumValue("active")
    ACTIVE("active"),

    /**
     * Template retired: No longer fit for use. Information available for historical reference.
     * 
     */
    @XmlEnumValue("retired")
    RETIRED("retired"),

    /**
     * Template is rejected. During the development proces of a template design (new, draft) it was decided that
     *                         further development on this template will not happen.
     * 
     */
    @XmlEnumValue("rejected")
    REJECTED("rejected"),

    /**
     * Template was never published and is withdrawn.
     * 
     */
    @XmlEnumValue("cancelled")
    CANCELLED("cancelled"),

    /**
     * Template is in pre-publication review: the template is complete, pending appropriate review. Entered primarily to encourage other users to be
     *                         aware of and/or participate in the review process. The governance group (custodian organization) has not given it an "active" status (i.e. it has not been published); 
     *                         and it may still be rejected (transitioned to an inactive status)., e.g. the template may be under ballot by an SDO.
     * 
     */
    @XmlEnumValue("pending")
    PENDING("pending"),

    /**
     * Template is in review: a post-publication state; may result in a new version or a retirement or no change at all. 
     *                         A new version is one that adds clarity but not new intent (new version date but identifier is unchanged).
     *                         A retirement is a template that is no longer fit for purpose, and which
     *                         may be replaced by a different a template (version), which is linked to the retired template.
     * 
     */
    @XmlEnumValue("review")
    REVIEW("review");
    private final String value;

    TemplateStatusCodeLifeCycle(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TemplateStatusCodeLifeCycle fromValue(String v) {
        for (TemplateStatusCodeLifeCycle c: TemplateStatusCodeLifeCycle.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
